# DMCreateGlobalVector

Creates a global vector from a DA or DMComposite object

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMCreateGlobalVector(DM dm,Vec *vec)

Collective on DM

### Input Parameter

dm -the DM object

### Output Parameter

vec -the global vector

### See Also

DMDestroy(), DMView(), DMGetInterpolation(), DMGetColoring(), DMGetMatrix()

Level:developer
Location: src/dm/da/utils/dm.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages